Page MenuHomePhabricator

Invite users to try the new Notifications page (using the Notifications panel)
Closed, ResolvedPublic

Description

To let users know that the Notifications page has new capabilities, use the tool originally defined for T117669 and then refined in T128937 (see illustration below--but note that the X will be replaced by the blue dot).

The message should read something like this (too long?):

Try the redesigned Notifications page. New look and features help you focus on what matters most.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2016, 1:31 AM
jmatazzoni added a comment.EditedJul 27 2016, 1:36 AM

If the user clicks on the blue Read/Unread dot, the message should disappear and not come back.

Questions:

  • Will this run on all wikis? (are there some where notifications aren't relevant or which don't have Special:Notifications?)
  • How long should the message persist (a week?)
  • When would be the best time to run?
Trizek-WMF edited subscribers, added: Trizek-WMF; removed: Trizek.Jul 27 2016, 10:30 AM

Questions:

  • Will this run on all wikis? (are there some where notifications aren't relevant or which don't have Special:Notifications?)

I don't thing there is some wikis where notifications are not relevant. If people don't receive notifications, they will not see that message.

  • How long should the message persist (a week?)
  • When would be the best time to run?

Good questions. It is summer on most places where most active users live. Should we consider to have it displayed longer than a week? Have a message like that persisting may be considered as spam, especially if we have it displayed longer that the cookie expiration time (if people are able to hide it).

Didn't we said that the tool used to invite users to enable Cross-wiki Notifications beta feature was a only-one-use tool? If we deploy it a new time, some communities may want to use it again.

I'm also working on T123538: Rethink the way we communicate with communities concerning Collaboration team work to find the best way to communicate with our communities and users. that discovery case is totally in that task' scope.

jmatazzoni added a comment.EditedJul 28 2016, 5:44 PM

Didn't we said that the tool used to invite users to enable Cross-wiki Notifications beta feature was a only-one-use tool?

Not quite. What we said was that this isn't a general communication channel; it's only for making announcements about Notifications itself. If you remember, we also used it to invite users to take the Notifications survey.

OK, good.

Try the redesigned Notifications page. New look and features help you focus on what matters most.

Do we plan to have two lines for these sentences? In certain languages, the second sentence may be longest than the English one:

  • en: New look and features help you focus on what matters most.
  • fr: Une nouvelle apparence et des fonctionnalités vous aident à vous focaliser sur ce qui compte le plus.
jmatazzoni added a comment.EditedAug 1 2016, 5:21 PM

OK, here is a shorter version and longer version.

Try the redesigned Notifications page. New look and features help you focus on what matters most.

Try the redesigned Notifications page. All new features and interface.

Trizek-WMF added a comment.EditedAug 1 2016, 5:30 PM

Per discussion during the team meeting, that should be on two separate lines for languages with more words/letters.

Try the redesigned Notifications page.
New look and features help you focus on what matters most.

Essayez la page des Notifications refondue
Une nouvelle apparence et des fonctionnalités vous aident à vous focaliser sur ce qui compte le plus.

Versuchen Sie, die neu gestaltete Seite Benachrichtungenseite.
Ein neuer Look und Funktionen helfen Ihnen sich auf das konzentrieren, was am wichtigsten. (automated horrible translation)

Luke081515 added a subscriber: Luke081515.EditedAug 1 2016, 8:25 PM

@Trizek-WMF Try something like:

Probiere die neue Benachrichtigungsseite aus.
Ein neuer Look und neue Funktionen helfen dir, dich auf das zu konzentrieren, was dir am wichtigsten ist.

(Btw, nice task number ;))

Change 302357 had a related patch set uploaded (by Mooeypoo):
[wip] Add a footer notice inviting users to visit the Special:Notifications page

https://gerrit.wikimedia.org/r/302357

As per @jmatazzoni, patch is available but awaiting final text.

A screenshot of another version of the text:

jmatazzoni added a comment.EditedAug 1 2016, 10:22 PM

We can do it shorter. How about this:

Try the redesigned Notifications page. All-new look and features.

Wordsmithing in English is not always useful for translators. As we experienced with "Notices" and "Notifications" (T140645) some languages may not have as much nuances as English have.
We shouldn't spend that much time on English wording, polishing each word. We should have a global meaning instead and focus more on meaning's explantation (qqq).

As already noticed, translations may be longer than English (a language with compact written concepts and short sentences). Example:

  • "Try the redesigned Notifications page. All-new look and features."
  • "Essayez la page des Notifications refondue. Nouvelles présentation et fonctionnalités".

If that's not the case (screenshots are not illustrating it) atm, please have that message on two lines, not matter which language is involved. Yes, I'm worrying.

Can I have the two messages links on translatewiki to request translations?

@Mooeypoo, we discussed in the team meeting today and are good to go with language. Please move forward wth this.

Change 302357 merged by jenkins-bot:
Add a footer notice inviting users to visit the Special:Notifications page

https://gerrit.wikimedia.org/r/302357

Change 304271 had a related patch set uploaded (by Catrope):
Re-enable the Echo footer notice

https://gerrit.wikimedia.org/r/304271

Change 304271 merged by jenkins-bot:
Re-enable the Echo footer notice

https://gerrit.wikimedia.org/r/304271

Mentioned in SAL [2016-08-11T23:22:47Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Re-enable Echo footer notice (T141414) (duration: 00m 54s)

Why is there so little time between the annoucement in Tech News and the deployment of it? I've had no time to check the Dutch translations.

In Monobook skin (Chrome, IE, FF) the link "All new look and features" is displayed black.

Opera displays the link lighter, but it looks fine:

Re-checked in betalabs for Monobook - the link is blue:

jmatazzoni closed this task as Resolved.Aug 17 2016, 8:37 PM
jmatazzoni claimed this task.